Page MenuHomePhabricator

Allow merging two Lexemes
Closed, ResolvedPublic

Description

As an editor I want to be able to merge two Lexemes in order to eliminate duplicates.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMar 7 2018, 3:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.Mar 7 2018, 4:51 PM
Lydia_Pintscher triaged this task as Medium priority.Mar 8 2018, 9:39 AM

Merging should also be blocked if the two Lexemes link to each other in a statement.

Silly question: That already applies if one links to the other, right? They don't need to both link to one another?

Merging should also be blocked if the two Lexemes link to each other in a statement.

Silly question: That already applies if one links to the other, right? They don't need to both link to one another?

Yes. If one links to the other that's enough to block a merge (that's how it currently works for items as well)

Should we not convert our current merge items api & special page into a merge entities api & special page (the only ones can redirect to the new one).
Then we can simply have some entity types, such as item and lexeme that are mergeable, and others that are not, such as property?

I don't have a strong opinion either way but there were a few people here who said different special page. Discuss! :D

I don't have a strong opinion either way but there were a few people here who said different special page. Discuss! :D

Is there a copy of the reasoning on a ticket anywhere? :)

IMO I don't see why merging 2 entities of whatever type should for example be any different to moving 2 pages of a different namespace or deleting 2 pages of a different namespace or content type.
We don't have a Special:DeleteItems Special:DeleteProperties page etc.

Just discussed this with Daniel and Adam. We keep them separate as we might want to introduce more options to influence the merging behavior later. We will introduce a third special page Special:MergeEntities that accepts all entity types as input and redirects to the more specific ones. (I'll create a ticket for that once I have time to spec this out properly.)

Lydia_Pintscher closed this task as Resolved.Sep 16 2018, 10:47 AM
Lydia_Pintscher claimed this task.